Bug 808612 - strongswan binary renaming side-effect
strongswan binary renaming side-effect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: strongswan (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 16:26 EDT by Thomas Jansen
Modified: 2013-02-13 21:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:56:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Jansen 2012-03-30 16:26:20 EDT
The strongswan binary is renamed during the build process by this line in the spec file:

mv %{buildroot}%{_sbindir}/{ipsec,%{name}}

The changed binary name is not reflected in the source code though. The binary tries to start scripts, e.g. when a connection is brought up or down, by calling itself using the name 'ipsec' rather than the renamed 'strongswan'. The relevant source code can be found in src/pluto/kernel.c, where DEFAULT_UPDOWN is used to build a command line. Since 'ipsec' is not a valid binary name in the path, executing the script fails.

Suggested fix: Add this substitution with sed to the spec file 

sed -i 's/DEFAULT_UPDOWN "ipsec _updown"/DEFAULT_UPDOWN "strongswan _updown"/' src/pluto/kernel.c

Alternatively create a patch from the substitution above.

Regards, Thomas
Comment 1 Fedora Update System 2012-03-30 17:15:51 EDT
strongswan-4.6.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/strongswan-4.6.2-2.fc17
Comment 2 Fedora Update System 2012-04-11 22:40:26 EDT
strongswan-4.6.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora End Of Life 2013-01-16 20:55:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 21:56:18 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.